Bug 1872080 - Migrate OpenShift 4.6 to RHEL8
Summary: Migrate OpenShift 4.6 to RHEL8
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.6.0
Assignee: Justin Pierce
QA Contact: Wei Sun
URL:
Whiteboard:
: 1870558 (view as bug list)
Depends On:
Blocks: 1870558
TreeView+ depends on / blocked
 
Reported: 2020-08-25 01:39 UTC by Justin Pierce
Modified: 2020-09-21 13:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github kube-reporting hadoop pull 59 None open Bug 1872080: Updating Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:31:22 UTC
Github kube-reporting hadoop pull 61 None open Bug 1872080: Prevent cmake symlink creation if file is present 2020-09-21 10:31:24 UTC
Github kube-reporting helm pull 42 None closed Bug 1872080: Updating Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:31:21 UTC
Github kube-reporting hive pull 50 None closed Bug 1872080: Updating Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:31:21 UTC
Github kube-reporting metering-operator pull 1383 None closed Bug 1872080: Updating Dockerfile.metering-ansible-operator.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:31:21 UTC
Github kube-reporting metering-operator pull 1384 None closed Bug 1872080: Updating Dockerfile.reporting-operator.rhel baseimages to mach ocp-build-data config 2020-09-21 10:31:20 UTC
Github kube-reporting metering-operator pull 1393 None closed Bug 1872080: Remove copy directive for the non-existent scripts directory 2020-09-21 10:31:20 UTC
Github kube-reporting presto pull 81 None closed Bug 1872080: Updating Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:31:20 UTC
Github kube-reporting presto pull 83 None closed Bug 1872080: Alias the python command to the python3 binary. 2020-09-21 10:31:19 UTC
Github kube-reporting presto pull 84 None closed Bug 1872080: Move the jmx prometheus jar into the correct build location. 2020-09-21 10:31:19 UTC
Github kube-reporting presto pull 90 None closed Bug 1872080: Dockerfile: Remove conditional for symlinking python3 to python 2020-09-21 10:31:19 UTC
Github openshift aws-ebs-csi-driver-operator pull 80 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:19 UTC
Github openshift aws-ebs-csi-driver pull 161 None closed Bug 1872080: Updating Dockerfile.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:19 UTC
Github openshift aws-pod-identity-webhook pull 125 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:18 UTC
Github openshift baremetal-operator pull 93 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:18 UTC
Github openshift baremetal-runtimecfg pull 93 None closed Bug 1872080: Add Dockerfile.openshift for CI 2020-09-21 10:31:17 UTC
Github openshift bond-cni pull 13 None closed Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:31:17 UTC
Github openshift builder pull 171 None open Bug 1872080: Updating Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:31:17 UTC
Github openshift cloud-credential-operator pull 237 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:17 UTC
Github openshift cluster-api-provider-aws pull 349 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:31:16 UTC
Github openshift cluster-api-provider-azure pull 161 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:31:19 UTC
Github openshift cluster-api-provider-baremetal pull 102 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:31:15 UTC
Github openshift cluster-api-provider-gcp pull 118 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:31:19 UTC
Github openshift cluster-api-provider-libvirt pull 207 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:16 UTC
Github openshift cluster-api-provider-openstack pull 115 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:31:15 UTC
Github openshift cluster-api-provider-ovirt pull 67 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:31:14 UTC
Github openshift cluster-authentication-operator pull 326 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:19 UTC
Github openshift cluster-autoscaler-operator pull 160 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:14 UTC
Github openshift cluster-autoscaler-operator pull 161 None closed Bug 1872080: Create Dockerfile.rhel file 2020-09-21 10:31:13 UTC
Github openshift cluster-bootstrap pull 40 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:13 UTC
Github openshift cluster-capacity pull 37 None closed Bug 1872080: Updating images/cluster-capacity/Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:13 UTC
Github openshift cluster-config-operator pull 149 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:12 UTC
Github openshift cluster-csi-snapshot-controller-operator pull 45 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:12 UTC
Github openshift cluster-dns-operator pull 191 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:16 UTC
Github openshift cluster-dns-operator pull 192 None closed Bug 1872080: Avoid a bash "unbound variable" error 2020-09-21 10:31:12 UTC
Github openshift cluster-etcd-operator pull 428 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:12 UTC
Github openshift cluster-image-registry-operator pull 594 None closed Bug 1872080: Updating Dockerfile baseimages to match ocp-build-data config 2020-09-21 10:31:11 UTC
Github openshift cluster-ingress-operator pull 444 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:11 UTC
Github openshift cluster-kube-apiserver-operator pull 938 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:11 UTC
Github openshift cluster-kube-controller-manager-operator pull 436 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:11 UTC
Github openshift cluster-kube-descheduler-operator pull 122 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:10 UTC
Github openshift cluster-kube-scheduler-operator pull 274 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:10 UTC
Github openshift cluster-kube-storage-version-migrator-operator pull 24 None closed Bug 1872080: Updating images/ci/Dockerfile baseimages to match ocp-build-data config 2020-09-21 10:31:10 UTC
Github openshift cluster-logging-operator pull 671 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:10 UTC
Github openshift cluster-machine-approver pull 82 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:09 UTC
Github openshift cluster-machine-approver pull 83 None closed Bug 1872080: Create Dockerfile.rhel file 2020-09-21 10:31:12 UTC
Github openshift cluster-monitoring-operator pull 916 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:09 UTC
Github openshift cluster-network-operator pull 762 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:09 UTC
Github openshift cluster-nfd-operator pull 98 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:09 UTC
Github openshift cluster-node-tuning-operator pull 151 None closed Bug 1872080: Updating Dockerfile.rhel8 baseimages to mach ocp-build-data config. 2020-09-21 10:31:08 UTC
Github openshift cluster-openshift-apiserver-operator pull 382 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:07 UTC
Github openshift cluster-openshift-controller-manager-operator pull 172 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:07 UTC
Github openshift cluster-policy-controller pull 36 None closed Bug 1872080: Updating Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:31:07 UTC
Github openshift cluster-resource-override-admission-operator pull 34 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:07 UTC
Github openshift cluster-resource-override-admission-operator pull 36 None closed Bug 1872080: Rename image references for RHEL 8 2020-09-21 10:31:06 UTC
Github openshift cluster-resource-override-admission pull 15 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:06 UTC
Github openshift cluster-samples-operator pull 316 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:09 UTC
Github openshift cluster-samples-operator pull 317 None open Bug 1872080: Sync RHEL/CentOS/UBI 8 imagestreams changes 2020-09-21 10:31:05 UTC
Github openshift cluster-samples-operator pull 318 None closed Bug 1872080: add new okd e2e to validate okd vs. ocp content is installed 2020-09-21 10:31:06 UTC
Github openshift cluster-samples-operator pull 320 None open Bug 1872080: move templates to RHEL/CentOS/UBI 8 imagestream tags 2020-09-21 10:31:08 UTC
Github openshift cluster-storage-operator pull 79 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:07 UTC
Github openshift cluster-update-keys pull 21 None closed Bug 1872080: Updating Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:31:04 UTC
Github openshift cluster-version-operator pull 442 None open Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:04 UTC
Github openshift cluster-version-operator pull 444 None open Bug 1872080: Dockerfile.rhel: Use a RHEL-version-agnostic filename 2020-09-21 10:31:04 UTC
Github openshift configmap-reload pull 22 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:31:04 UTC
Github openshift console-operator pull 460 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:03 UTC
Github openshift console pull 6418 None open Bug 1872080: Updating Dockerfile.product baseimages to mach ocp-build-data config 2020-09-21 10:31:04 UTC
Github openshift console pull 6441 None open Bug 1872080: Define RHEL_ALLOW_PYTHON2_FOR_BUILD in Dockerfile.product 2020-09-21 10:31:03 UTC
Github openshift containernetworking-plugins pull 32 None open Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:03 UTC
Github openshift coredns pull 40 None open Bug 1872080: Updating Dockerfile.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:02 UTC
Github openshift csi-driver-manila-operator pull 55 None open Bug 1872080: Updating build/Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:31:01 UTC
Github openshift csi-driver-nfs pull 32 None open Bug 1872080: Updating images/Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:31:01 UTC
Github openshift csi-external-attacher pull 23 None open Bug 1872080: Updating Dockerfile.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:02 UTC
Github openshift csi-external-provisioner pull 30 None open Bug 1872080: Updating Dockerfile.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:01 UTC
Github openshift csi-external-resizer pull 110 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:31:00 UTC
Github openshift csi-external-snapshotter pull 24 None open Bug 1872080: Updating Dockerfile.snapshot-controller.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:59 UTC
Github openshift csi-external-snapshotter pull 25 None open Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:31:00 UTC
Github openshift csi-livenessprobe pull 16 None open Bug 1872080: Updating Dockerfile.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:59 UTC
Github openshift csi-node-driver-registrar pull 20 None open Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:31:02 UTC
Github openshift descheduler pull 38 None open Bug 1872080: Updating images/descheduler/Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:58 UTC
Github openshift elasticsearch-operator pull 463 None open Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:57 UTC
Github openshift elasticsearch-proxy pull 42 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:57 UTC
Github openshift grafana pull 44 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:58 UTC
Github openshift ib-sriov-cni pull 7 None open Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:31:01 UTC
Github openshift image-registry pull 244 None open Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:57 UTC
Github openshift images pull 28 None open Bug 1872080: Updating pod/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:57 UTC
Github openshift images pull 29 None open Bug 1872080: Updating base/Dockerfile.rhel baseimages to match ocp-build-data config 2020-09-21 10:30:56 UTC
Github openshift images pull 30 None open Bug 1872080: Updating egress/router/Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:56 UTC
Github openshift images pull 31 None open Bug 1872080: Updating egress/http-proxy/Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:59 UTC
Github openshift images pull 32 None open Bug 1872080: Updating ipfailover/keepalived/Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:56 UTC
Github openshift images pull 33 None open Bug 1872080: Updating egress/dns-proxy/Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:55 UTC
Github openshift insights-operator pull 167 None open Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:55 UTC
Github openshift installer pull 4085 None open Bug 1872080: Updating images/installer-artifacts/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:55 UTC
Github openshift installer pull 4086 None open Bug 1872080: Updating images/baremetal/Dockerfile.ci baseimages to mach ocp-build-data config 2020-09-21 10:30:55 UTC
Github openshift installer pull 4087 None open Bug 1872080: Updating images/installer/Dockerfile.ci baseimages to mach ocp-build-data config 2020-09-21 10:30:54 UTC
Github openshift ironic-hardware-inventory-recorder-image pull 500 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:55 UTC
Github openshift ironic-image pull 103 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:54 UTC
Github openshift ironic-inspector-image pull 42 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:54 UTC
Github openshift ironic-ipa-downloader pull 40 None None None 2020-09-21 10:30:57 UTC
Github openshift ironic-rhcos-downloader pull 29 None None None 2020-09-21 10:30:53 UTC
Github openshift ironic-static-ip-manager pull 9 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:53 UTC
Github openshift jenkins pull 1145 None open Bug 1872080: Updating 2/Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:30:56 UTC
Github openshift jenkins pull 1146 None open Bug 1872080: Updating agent-maven-3.5/Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:30:53 UTC
Github openshift jenkins pull 1147 None open Bug 1872080: Updating slave-base/Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:30:52 UTC
Github openshift jenkins pull 1148 None open Bug 1872080: Updating agent-nodejs-10/Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:30:52 UTC
Github openshift jenkins pull 1149 None open Bug 1872080: Updating agent-nodejs-12/Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:30:52 UTC
Github openshift k8s-prometheus-adapter pull 29 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:52 UTC
Github openshift kube-rbac-proxy pull 27 None open Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:51 UTC
Github openshift kube-state-metrics pull 33 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:50 UTC
Github openshift kubernetes-autoscaler pull 168 None open Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:30:52 UTC
Github openshift kubernetes-autoscaler pull 169 None closed BUG 1872080: Add vertical-pod-autoscaler/Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:30:54 UTC
Github openshift kubernetes-kube-storage-version-migrator pull 158 None closed Bug 1872080: Updating images/release/Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:50 UTC
Github openshift kubernetes pull 321 None closed Bug 1872080: Updating openshift-hack/images/hyperkube/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:54 UTC
Github openshift kuryr-kubernetes pull 327 None closed Bug 1872080: Updating openshift-kuryr-controller-rhel8.Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:50 UTC
Github openshift kuryr-kubernetes pull 328 None closed Bug 1872080: Updating openshift-kuryr-cni-rhel8.Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:50 UTC
Github openshift leader-elector pull 14 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:52 UTC
Github openshift linuxptp-daemon pull 19 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:49 UTC
Github openshift local-storage-operator pull 142 None closed Bug 1872080: Updating Dockerfile.diskmaker.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:52 UTC
Github openshift local-storage-operator pull 143 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:48 UTC
Github openshift loki pull 9 None closed Bug 1872080: Updating Dockerfile.promtail.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:49 UTC
Github openshift machine-api-operator pull 692 None closed Bug 1872080: Add Dockerfile.rhel to match build configuration in ocp-build-data 2020-09-21 10:30:51 UTC
Github openshift machine-config-operator pull 2020 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:47 UTC
Github openshift mdns-publisher pull 16 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:51 UTC
Github openshift multus-admission-controller pull 26 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:30:47 UTC
Github openshift multus-cni pull 77 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:30:50 UTC
Github openshift must-gather pull 170 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:47 UTC
Github openshift network-metrics-daemon pull 25 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:30:46 UTC
Github openshift node-feature-discovery pull 13 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:45 UTC
Github openshift node-problem-detector pull 15 None closed Bug 1872080: Updating Dockerfile.openshift.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:45 UTC
Github openshift node_exporter pull 68 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:49 UTC
Github openshift oauth-apiserver pull 17 None open Bug 1872080: Updating images/Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:46 UTC
Github openshift oauth-proxy pull 183 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:46 UTC
Github openshift oauth-server pull 51 None closed Bug 1872080: Updating images/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:44 UTC
Github openshift oc pull 529 None closed Bug 1872080: Updating images/cli-artifacts/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:44 UTC
Github openshift ocp-release-operator-sdk pull 71 None closed Bug 1872080: Updating release/ansible/Dockerfile.rhel8 and release/helm/Dockerfile baseimages to match ocp-build-data co... 2020-09-21 10:30:47 UTC
Github openshift openshift-apiserver pull 130 None closed Bug 1872080: Updating images/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:44 UTC
Github openshift openshift-controller-manager pull 131 None closed Bug 1872080: Updating Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:47 UTC
Github openshift openshift-state-metrics pull 55 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:44 UTC
Github openshift origin-aggregated-logging pull 1986 None closed Bug 1872080: elasticsearch: fix prod plugin URLs 2020-09-18 03:17:40 UTC
Github openshift origin pull 25442 None closed Bug 1872080: Updating images/tests/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:46 UTC
Github openshift ovirt-csi-driver-operator pull 24 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:42 UTC
Github openshift ovirt-csi-driver pull 46 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:30:42 UTC
Github openshift ovn-kubernetes pull 241 None closed Bug 1872080: Updating Dockerfile baseimages to match ocp-build-data config 2020-09-21 10:30:42 UTC
Github openshift prom-label-proxy pull 325 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:40 UTC
Github openshift prometheus-alertmanager pull 36 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:42 UTC
Github openshift prometheus-operator pull 87 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:41 UTC
Github openshift prometheus-operator pull 88 None closed Bug 1872080: Updating Dockerfile.config-reloader.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:40 UTC
Github openshift prometheus pull 54 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:40 UTC
Github openshift ptp-operator pull 66 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:44 UTC
Github openshift route-override-cni pull 6 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:30:43 UTC
Github openshift router pull 172 None closed Bug 1872080: Updating images/router/haproxy/Dockerfile.rhel8 baseimages to mach ocp-build-data config 2020-09-21 10:30:40 UTC
Github openshift router pull 173 None closed Bug 1872080: Updating images/router/base/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:39 UTC
Github openshift sdn pull 176 None closed Bug 1872080: Updating images/kube-proxy/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:38 UTC
Github openshift sdn pull 177 None closed Bug 1872080: Updating images/sdn/Dockerfile.rhel baseimages to mach ocp-build-data config 2020-09-21 10:30:38 UTC
Github openshift service-ca-operator pull 120 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:38 UTC
Github openshift sig-storage-local-static-provisioner pull 24 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:38 UTC
Github openshift sriov-cni pull 19 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:38 UTC
Github openshift sriov-dp-admission-controller pull 20 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:36 UTC
Github openshift sriov-network-device-plugin pull 29 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:36 UTC
Github openshift sriov-network-operator pull 332 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:39 UTC
Github openshift sriov-network-operator pull 333 None closed Bug 1872080: Updating Dockerfile.webhook.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:36 UTC
Github openshift sriov-network-operator pull 334 None closed Bug 1872080: Updating Dockerfile.sriov-network-config-daemon.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:35 UTC
Github openshift telemeter pull 350 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:35 UTC
Github openshift thanos pull 34 None closed Bug 1872080: Updating Dockerfile.ocp baseimages to mach ocp-build-data config 2020-09-21 10:30:38 UTC
Github openshift vertical-pod-autoscaler-operator pull 33 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:37 UTC
Github openshift vertical-pod-autoscaler-operator pull 34 None closed Bug 1872080: Update image-references for RHEL 8 2020-09-21 10:30:34 UTC
Github openshift whereabouts-cni pull 28 None closed Bug 1872080: Updating Dockerfile.openshift baseimages to mach ocp-build-data config 2020-09-21 10:30:34 UTC
Github operator-framework operator-lifecycle-manager pull 1738 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:34 UTC
Github operator-framework operator-marketplace pull 331 None closed Bug 1872080: Updating Dockerfile.rhel7 baseimages to mach ocp-build-data config 2020-09-21 10:30:34 UTC
Github operator-framework operator-registry pull 426 None closed Bug 1872080: Updating Dockerfile baseimages to mach ocp-build-data config 2020-09-21 10:30:33 UTC

Comment 2 Daneyon Hansen 2020-09-04 03:27:26 UTC
Since https://github.com/openshift/cluster-ingress-operator/pull/444 merged, I can no longer use our 'release-local' make target:

$ REPO=docker.io/danehans/cluster-ingress-operator make release-local
MANIFESTS=/var/folders/qy/m4hkc65s2n38ph802k4_nrr40000gn/T/tmp.iV2gOVxJ hack/release-local.sh
[dns_region_pref_cfg 2ae2a0f7] Temporary
 2 files changed, 452 insertions(+), 3 deletions(-)
 create mode 100644 debug.log
Sending build context to Docker daemon  173.1MB
Step 1/10 : FROM registry.svc.ci.openshift.org/ocp/builder:rhel-8-golang-openshift-4.6 AS builder
unauthorized: authentication required
make: *** [release-local] Error 1

What is needed to auth against registry.svc.ci.openshift.org?

Comment 3 Justin Pierce 2020-09-11 13:58:23 UTC
@daneyon - 
1. Login to https://registry.svc.ci.openshift.org
2. Copy the login command (containing your token) from the console
3. Paste it on the command line
4. Run $ oc registry login

Comment 4 Sudha Ponnaganti 2020-09-11 16:02:25 UTC
*** Bug 1870558 has been marked as a duplicate of this bug. ***

Comment 7 Qin Ping 2020-09-15 13:58:11 UTC
Checked the following images with 4.6.0-0.nightly-2020-09-14-225526, they are migrated to RHEL8 successfully:
openshift-ose-cluster-csi-snapshot-controller-operator
openshift-ose-csi-snapshot-controller
openshift-ose-csi-external-snapshotter
openshift-ose-cluster-storage-operator
openshift-ose-csi-driver-manila-operator
openshift-ose-csi-driver-nfs
openshift-ose-csi-driver-manila
openshift-ose-csi-external-provisioner
openshift-ose-csi-node-driver-registrar
openshift-ose-csi-external-attacher
openshift-ose-csi-external-resizer
openshift-ose-csi-livenessprobe
openshift-ose-aws-ebs-csi-driver
openshift-ose-aws-ebs-csi-driver-operator
openshift-ose-ovirt-csi-driver
openshift-ose-ovirt-csi-driver-operator


But the following images still are RHEL78:
openshift-ose-local-storage-operator-v4.6.0-202009082256.p0
openshift-ose-local-storage-diskmaker-v4.6.0-202009082256.p0
openshift-ose-local-storage-static-provisioner-v4.6.0-202009041839.p0

Comment 8 Yaakov Selkowitz 2020-09-15 14:13:47 UTC
Those particular builds predate the migration, but have been superseded by builds which are RHEL8.  Why are non-latest builds being tested?

Comment 11 Qin Ping 2020-09-16 02:54:29 UTC
The following images are migrated to RHEL8:
openshift-ose-local-storage-diskmaker-v4.6.0-202009152100.p0
openshift-ose-local-storage-operator-v4.6.0-202009152100.p0
openshift-ose-local-storage-static-provisioner-v4.6.0-202009152100.p0

Comment 14 RamaKasturi 2020-09-21 13:51:04 UTC
KCM, KS , KDS & must-gather images migrated to RHEL8.

KS:
============
[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec openshift-kube-scheduler-operator-768d869d64-96t92 -c kube-scheduler-operator-container -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec openshift-kube-scheduler-ip-10-0-132-131.ap-northeast-1.compute.internal -c kube-scheduler -- cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec openshift-kube-scheduler-ip-10-0-132-131.ap-northeast-1.compute.internal -c kube-scheduler-cert-syncer -- cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.2 (Ootpa)

KCM:
============
[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec openshift-controller-manager-operator-58c5c469c6-sdcsn -c openshift-controller-manager-operator -n openshift-controller-manager-operator -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec kube-controller-manager-ip-10-0-132-131.ap-northeast-1.compute.internal -c kube-controller-manager -n openshift-kube-controller-manager -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec kube-controller-manager-ip-10-0-132-131.ap-northeast-1.compute.internal -c cluster-policy-controller -n openshift-kube-controller-manager -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec kube-controller-manager-ip-10-0-132-131.ap-northeast-1.compute.internal -c kube-controller-manager-recovery-controller -n openshift-kube-controller-manager -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

Must-gather:
========================
[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec must-gather-9nqdb -c gather -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 ocp_files]$ oc exec must-gather-9nqdb -c copy -- cat /etc/redhat-release
Red Hat Enterprise Linux release 8.2 (Ootpa)

KDS:
========================
[ramakasturinarra@dhcp35-60 kubernetes]$ oc exec descheduler-operator-7df7f49d56-zl8sm -c descheduler-operator -- cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.2 (Ootpa)

[ramakasturinarra@dhcp35-60 kubernetes]$ oc exec cluster-74db674445-qxs8j -c openshift-descheduler -- cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.2 (Ootpa)

cli & cli-artifacts have not been migrated and will not be in foreseeable future because of the problem with glibc versions shipped in rhel8, if you built something on rhel8 it can't run on rhel7 so we don't.


Note You need to log in before you can comment on or make changes to this bug.